AMLRNG(4)

NAME
amlrng - Amlogic random number generator

SYNOPSIS
amlrng* at fdt?

DESCRIPTION
The amlrng driver provides support for the random number generator found on the Amlogic SoCs.

It feeds the random subsystem's entropy pool with 32 bits of random data every second.

SEE ALSO
intro(4), random(4), arc4random(9)

HISTORY
The amlrng driver first appeared in OpenBSD 6.6.

AUTHORS
-nosplit The amlrng driver was written by Mark Kettenis <kettenis@openbsd.org>.